<?php
/*
 *  Responsive Portfolio Image Gallery 1.0
 *  By @realwebcare - http://www.realwebcare.com
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
//manage the columns of the "portfolio" post type
function rcpig_manage_columns_for_portfolio($columns) {
	//remove columns
	unset($columns['date']);
	//add new columns
	$columns['portfolio_featured_image'] = __('Portfolio Featured Image','rcpig');
	$columns['date'] = __('Date','rcpig');
	return $columns;
}
add_action('manage_rcpig_posts_columns','rcpig_manage_columns_for_portfolio');
//Populate custom columns for "portfolio" post type
function rcpig_populate_portfolio_columns($column,$post_id) {
	//featured image column
	if($column == 'portfolio_featured_image') {
		//if this portfolio has a featured image
		if(has_post_thumbnail($post_id)) {
			$portfolio_featured_image = get_the_post_thumbnail($post_id,array(100,100));
			echo $portfolio_featured_image;
		} else {
			echo __('This portfolio has no featured image','rcpig');
		}
	}
}
add_action('manage_rcpig_posts_custom_column','rcpig_populate_portfolio_columns',10,2);
if ( ! function_exists('rcpig_exclude_categories') ) {
	// Exclude selected categiry form portfolio.
	function rcpig_exclude_categories() {
		$terms = $category_link = array();
		$rcpig_post_type = rcpig_get_option( 'rcpig_post_type_select_', 'rcpig_advanced', 'rcpig' );
		$taxonomy_objects = get_object_taxonomies( $rcpig_post_type, 'objects' );
		if( isset($taxonomy_objects) && !empty($taxonomy_objects) ){
		 	$rcpig_taxonomy = rcpig_get_option( 'rcpig_taxonomy_select_', 'rcpig_advanced', 'rcpig-category' );
		    $terms = get_terms($rcpig_taxonomy);
		    foreach ( $terms as $term ) {
		        $category_link[$term->term_id] = $term->name;
		    }                                         
	    }
	    return $category_link;
	}
}
/* Sidebar */
add_action( 'rcpig_settings_content', 'rcpig_sidebar' );
if( !function_exists( 'rcpig_sidebar' ) ){
	function rcpig_sidebar() { ?>
		<div id="rcpig-sidebar" class="postbox-container">
			<div id="rcpigusage-shortcode" class="rcpigusage-sidebar">
				<h3><?php _e('Plugin Shortcode', 'rcpig'); ?></h3>
				<input type="text" class="rcpig-shortcode" value="[rcpig-gallery]" />
			</div>
			<div id="rcpigusage-info" class="rcpigusage-sidebar">
				<h3><?php _e('Plugin Info', 'rcpig'); ?></h3>
				<ul class="rcpigusage-list">
					<li><?php _e('Version: 1.0', 'rcpig'); ?></li>
					<li><?php _e('Requires: Wordpress 3.5+', 'rcpig'); ?></li>
					<li><?php _e('First release: 9 August, 2016', 'rcpig'); ?></li>
					<li><?php _e('Last Update: 9 August, 2016', 'rcpig'); ?></li>
					<li><?php _e('By', 'rcpig'); ?>: <a href="http://www.realwebcare.com/" target="_blank"><?php _e('Real Web Care', 'rcpig'); ?></a></li>
					<li><?php _e('Facebook', 'rcpig'); ?>: <a href="http://www.facebook.com/realwebcare" target="_blank"><?php _e('Realwebcare', 'rcpig'); ?></a></li>
				</ul>
			</div>
		</div><?php
	}
}
?>